cassandra-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jonathan Ellis <jbel...@gmail.com>
Subject Re: [VOTE] 0.7.1 (attempt #2)
Date Sun, 30 Jan 2011 04:05:17 GMT
Looks like you have an old version of the Thrift compiler.

On Sat, Jan 29, 2011 at 9:27 PM, Liangzhao Zeng
<liangzhao.zeng@gmail.com> wrote:
> I try to re-generate the Java interface from cassandra.thrift, however, i
> got error message as
>
>   gen-thrift-java:
>
>     [echo] Generating Thrift Java code from
> /Documents/eclipse/MaaSWorkspace/C_7_0/interface/cassandra.thrift ....
>
>     [exec]
> [FAILURE:/Documents/eclipse/MaaSWorkspace/C_7_0/interface/cassandra.thrift:375]
> type error: const consistency_level was declared as type ConsistencyLevel
> which is an enum, but ConsistencyLevel.ONE is not a valid value for that
> enum
>
>
> BUILD FAILED
>
>
> Any suggestion on what could be wrong?
>
>
> Cheers,
>
>
> Liangzhao
>



-- 
Jonathan Ellis
Project Chair, Apache Cassandra
co-founder of DataStax, the source for professional Cassandra support
http://www.datastax.com

Mime
View raw message